--helper for making buttons
local button = {}

function button.draw(bTable)
    for i,v in pairs(bTable) do
        if not v.hide then
            if v.color then love.graphics.setColor(unpack(v.color.n)) end
            love.graphics.rectangle('fill',v.x,v.y,v.w,v.h,v.r or 0)
            if v.t then
                if v.color then love.graphics.setColor(unpack(v.color.t)) end
                if v.f then love.graphics.setFont(v.f) end
                if v.mline then
                    love.graphics.printf(v.t,v.x + 2,v.y + v.h/2 - love.graphics.getFont():getHeight()/2,v.w - 4,v.align or 'center')
                else
                    local sx = 1
                    if love.graphics.getFont():getWidth(v.t) > (v.w - 4) then 
                        sx = (v.w - 4)/love.graphics.getFont():getWidth(v.t)
                    end
                    if v.align=='left' then
                        love.graphics.print(v.t,v.x,v.y + v.h/2,0,sx,1,0,love.graphics.getFont():getHeight()/2)
                    else
                        love.graphics.print(v.t,v.x + v.w/2,v.y + v.h/2,0,sx,1,love.graphics.getFont():getWidth(v.t)/2,love.graphics.getFont():getHeight()/2)
                    end
                end
            end
        end
    end
end

local inRect = function (x,y,w,h,mx,my)
	return mx >= x and my >= y and mx <= x+w and my <= y+h
end

function button.press(bTable,x,y)
    for i,v in pairs(bTable or {}) do
        if inRect(v.x,v.y,v.w,v.h,x,y) and not v.hide and not v.disable then
            
        end
    end
end

function button.release(bTable,x,y)
    for i,v in pairs(bTable or {}) do
        if inRect(v.x,v.y,v.w,v.h,x,y) and not v.hide and not v.disable then
            pcall(v.click)
        end
    end
end



return button