﻿--Digispirit of fire
local fire = {} 

fire.color = {255,108,0}
fire.icon = {x = 1,y = 0}

fire.passive = {
    name = 'Sunburn',
    desc = [[Targets you hit with your abilities are marked with =h=SUNBURN=h=. Hitting a marked target will consume the mark for special effects.]]
}

fire.human = {
    name = 'Digispirit of Fire',
    
    [1] = {
        name = 'Fire Ball',
        cd = 0,
        desc = 'Shoots a fireball that deals =h=1D – 1=h= damage.'
    },
    [2] = {
        name = 'Heat Palm',
        cd = 2,
        desc = 'Concentrates heat on the hands to make flames that deal =h=1D=h= damage and that are capable of melting things faster than =h=Fire Ball=h=.'
    }
}
fire[1] = {
	name = 'Coronamon',
    passive = fire.passive,
    [1] = {
        name = 'Cinder Rain',
        cd = 1,
        desc = [[Sends a wave of cinders that deals =h=1D=h= damage.

=h=SUNBURN:=h= Deals =h=1=h= damage per turn during =h=D4=h= turns.]]
    },
    
    [2] = {
        name = 'Fire Tornado',
        cd = 2,
        desc = [[Spins in a tornado of fire dealing =h=1D + 1=h= damage.

=h=SUNBURN:=h= Grants a shield that absorbs =h=1D=h= damage, that decays =h=1=h= damage per turn.]]
    }
}

fire[2] = {
	name = 'Firamon',
    passive = fire.passive,
    [1] = {
        name = "Fire Roar",
        cd = 1,
        desc = [[Shoots a fireball that deals =h=1D + 1=h= damage.

=h=SUNBURN:=h= Knocks back the target and deals  =h=2=h= bonus damage.]]
    },
    
    [2] = {
        name = 'Fire Claw',
        cd = 1,
        desc = [[Attacks the target with fire imbued claws =h=1D + 2=h= damage.

=h=SUNBURN:=h= Explodes in a cone dealing the same damage as the skill damage.]]
    },
    
    [3] = {
        name = "Meteor Hurricane",
        cd = 3,
        desc = [[Dashes forward spinning in a whirl of flames, dealing =h=2D=h= damage plus up to =h=5=h= bonus damage depending on how far you traveled with this ability.

=h=SUNBURN=h=: The target takes =h=4=h= extra damage and emits a shockwave of fire in a small area, dealing =h=D8=h= damage to other targets hit.]]
    }
}

fire[3] = {
	name = 'Flaremon',
    passive = fire.passive,
    [1] = {
        name = "Blazing Chains",
        cd = 0,
        desc = [[Sends forward chains of fire that deals =h=1D + 2=h= damage.

=h=SUNBURN:=h= Binds the target to you for =h=1=h= turn.]]
    },
    
    [2] = {
        name = "Lava Sphere",
        cd = 2,
        desc = [[Fires a big sphere of magma that deals =h=2D + 3=h= damage to the targets hit.

=h=SUNBURN:=h= The lava solidifies and snares the targets for =h=1=h= turn.]]
    },
    
    [3] = {
        name = "Fire Blaster",
        cd = 3,
        desc = [[This abitlity can only be used if you used =h=2=h= other abilities before it. Shoots a giant fire blast that deals =h=3D=h= (min. =h=5=h=) damage.

=h=SUNBURN:=h= Deals bonus =h=5=h= damage plus =h=D10=h= damage (=h=2=h= damage per turn).]]
    }
}

fire[4] = {
	name = 'Apollomon',
    passive = fire.passive,
    [1] = {
        name = "Corona Blaster",
        cd = 0,
        desc = [[Emits a blast of solar energy from around him, dealing =h=2D + 3=h= damage.

=h=SUNBURN:=h= Targets take =h=1=h= damage per =h=D6=h= turns.]]
    },
    
    [2] = {
        name = "Solar Flare",
        cd = 2,
        desc = [[Summons a blast of solar fire from the sky, dealing =h=2D + 5=h= damage.

=h=SUNBURN:=h= Stuns targets for =h=1=h= turn.]]
    },
    
    [3] = {
        name = "Scorched Earth",
        cd = 3,
        desc = [[Scorches the ground below the targets, setting it ablaze for =h=3=h= turns. Targets in that area take =h=1D + 1=h= damage per turn. This ability can only consumes the marks on the turn it is cast.

=h=SUNBURN:=h= Marked targets cannot leave the area.]]
    },
    
    [4] = {
        name = "Second Sun",
        cd = 4,
        desc = [[This ability must be charged for =h=2=h= turns. While you are charging it, you can only use =h=Corona Blaster=h= and it does not consume any mark. Fires the charged sun, dealing =h=4D + 3=h= damage.

=h=SUNBURN:=h= Deals bonus =h=2D + 2=h= damage.]]
    }
}

fire[5] = {
    name = 'KaiserGreymon',
    passive = fire.passive,
 [1] = {
        name = "Searing Strike",
        cd = 2,
        desc = [[Slashes horizontally with his sword =h=Ryūgonken=h=, summoning a fire made dragon that deals =h=4D + 2=h= damage and knocks back the targets hit.

=h=SUNBURN:=h= The target is charged with fire energy that explodes, dealing =h=10=h= extra damage and knocks it further back.]]
    },
    
    [2] = {
        name = "Dragonfire Crossbow",
        cd = 2,
        desc = [[Shoots the blade of the =h=Ryūgonken=h= as a power-charged crossbow bolt, dealing =h=4D + 1=h= damage and knocks back all targets hit.

=h=SUNBURN:=h= Stuns targets for =h=1=h= turn.]]
    },
    
    [3] = {
        name = "Burning Horizon",
        cd = 3,
        desc = [[Raises =h=Ryūgonken=h=, summoning a great firewall from the ground that deals =h=5D + 2=h= damage and knocks up all hit targets. The firewall remains there for =h=D4 + 1=h= turns and enemies that touch it take half the skill damage.

=h=SUNBURN:=h= Marked targets that hit the wall takes =h=D4 + 1=h= damage per turn during =h=3=h= turns.]]
    },
    
    [4] = {
        name = "Kuzuryujin",
        cd = 4,
        desc = [[Thrusts =h=Ryūgonken=h= into the ground, unleashing the nine flaming dragons dwelling within Gaia, using them in conjunction with the =h=Ryūgonken=h=, dealing =h=7D=h= damage and knocking away all targets hit.

=h=SUNBURN:=h= The target is imprisoned inside the dragon under your control for =h=1=h= turn and takes extra =h=3D=h= damage.]]
    }
}

fire[6] = {
	name = 'Garudamon',
    passive = fire.passive,
    [1] = {
        name = "Crimson Talons",
        cd = 0,
        desc = [[Dashes to a target, attacking it with its fire-clad talons, dealing =h=1D + 2=h= damage. Leaves a burning path that make targets along the path also take damage.

=h=SUNBURN:=h= Targets take =h=1=h= damage per =h=D6=h= turns. The target you hit in the end burns for =h=1=h= extra turn.]] 
    },
    
    [2] = {
        name = "Blazing Wing",
        cd = 2,
        desc = [[Throws a bird shaped fire blast, dealing =h=2D + 3=h= damage.

=h=SUNBURN:=h= Explodes, stunning the target for =h=1=h= turn.]]
    },
    
    [3] = {
        name = "Ardent Pursuit",
        cd = 3,
        desc = [[Engulfs itself in flames and grabs the target, exploding with it in midair, dealing =h=1D + 2=h= damage.

=h=SUNBURN:=h= Deals half of the damage dealt by you during your last =h=2=h= turns as bonus damage.]]
    }
}

fire[7] = {
	name = 'Zhuqiaomon',
    passive = fire.passive,
    [1] = {
        name = "Sacred Fire",
        cd = 2,
        desc = [[Releases a breath of sacred fire that hits target in a cone, dealing =h=2D + 3=h= damage.

=h=SUNBURN:=h= Explodes violently, dealing =h=3=h= damage over =h=D4=h= turns and knocking back enemies.]]
    },
    
    [2] = {
        name = "Burning Cyclone",
        cd = 2,
        desc = [[Spawns a hurricane of fire that deals =h=2D + 4=h= damage. If the cyclone touches any Blazing Tower, it also appears around the other ones.

=h=SUNBURN:=h= Blows up enemies upward, dealing bonus =h=D10=h= damage.]]
    },
    
    [3] = {
        name = "Blazing Towers",
        cd = 2,
        desc = [[Summons =h=3=h= pillars of fire that deal =h=2D + 2=h= damage and last for =h=D4=h= turns. You can also enter one pillar and teleport to another.

=h=SUNBURN:=h= You can teleport the enemy to another pillar, expelling them out.]]
  },
  
    [4] = {
        name = "Ignition Prominence",
        cd = 3,
        desc = [[This ability must be charged for =h=2=h= turns. While you are charging it, all damage you deal is stored as fiery energy on his Digicores and when fully charged, explodes in a blast of holy fire, dealing =h=3D + 3=h= damage plus half of the stored damage. Also, while charging, marks are not consumed, but are activated.

=h=SUNBURN:=h= Burns the enemy to death if their health is below =h=D12=h=.]]
    }
}

return fire