--Digispirit of Light
local light = {} 

light.color = {255,255,170}
light.icon = {x = 0, y = 0}

light.passive = {
    name = 'Light Orbs',
    number = true,
    max = 99,
    desc = [[All abilities generate =h=LIGHT ORBS=h= equal half the cooldown of that ability (rounded up). You can use a skill during its cooldown if the number of remaining =h=CD=h= turns is equal or lower than the number of =h=LIGHT ORBS=h= you currently have. Skills that consumes =h=LIGHT ORBS=h= do not generate them. Using the same ability twice in a row deals =h=10%=h= less damage for each =h=LIGHT ORB=h= consumed.]]
}

light.human = {
    name = 'Digispirit of Light',
    
    [1] = {
        name = 'Solar Disc',
        cd = 0,
        desc = 'Fires a shining disc of holy light that deals =h=1D – 1=h= damage.'
    },
    [2] = {
        name = [[Heaven's Heal]],
        cd = 2,
        desc = 'Employs angelic powers to heal allies by =h=1D + (2 per level)=h=.'
    }
}

light[1] = {
	name = 'Patamon',
    passive = light.passive,
    [1] = {
        name = 'Air Shot',
        cd = 1,
        desc = 'Fires an air shot that deals =h=1D – 1=h= damage and knocks you back.' 
    },
    
    [2] = {
        name = 'Light Cutter',
        cd = 1,
        desc = 'Shoots an ethereal energy blade that deals =h=1D=h= damage.'
    }
}

light[2] = {
	name = 'Angemon',
    passive = light.passive,
    [1] = {
        name = "Angel's Rod",
        cd = 1,
        desc = 'Empowers his staff and smashes the target, dealing =h=1D + 1=h= damage, and heals you for half of that damage (rounded up).' 
    },
    
    [2] = {
        name = 'Hand of Fate',
        cd = 2,
        desc = 'Shoots a light blast that deals =h=1D + 2=h= damage and for D4 turns, the target takes and extra =h=D6=h= damage from your skills.'
    },
    
    [3] = {
        name = "Heaven's Domain",
        cd = 3,
        desc = 'Throws his staff in the ground and creates an area that lasts =h=3=h= turns that slows enemies and deals =h=1D + 2=h= damage to them. You can teleport to that area, but if you do it will be deactivated.'
    }
}

light[3] = {
	name = 'HolyAngemon',
    passive = light.passive,
    [1] = {
        name = "Excalibur",
        cd = 2,
        desc = 'Blinks to the target and slashes it with his sword dealing =h=2D + 1=h= damage.' 
    },
    
    [2] = {
        name = "Heaven's Gate",
        cd = 2,
        desc = 'Summons a holy light from the angelical dimension that deals 2D damage and slows for =h=3=h= turns if you hit the targets with your other skills they are snared for =h=1=h= turn.'
    },
    
    [3] = {
        name = "Judgement Slash",
        cd = 4,
        desc = 'Sweeps his blade to send a slash of divine energy =h=3D=h= damage, plus =h=15%=h= of the target’s missing health.'
    }
}

light[4] = {
	name = 'Seraphimon',
    passive = light.passive,
    [1] = {
        name = "Strike of the Seven Stars",
        cd = 2,
        desc = [[Strikes with =h=7=h= bolts of divine energy, dealing =h=2D + D7=h= damage. Depending on the =h=D7=h= result, apply the following effects:
=h=4=h= to =h=6=h= – Slows the target for =h=D4=h= turns.
        =h=7=h= – Stuns the target for =h=1=h= turn.]]
    },
    
    [2] = {
        name = "Heaven's Decree",
        cd = 2,
        desc = 'Summons a holy sword from Heaven that impales the target for =h=3=h= turns, dealing =h=2D + 2=h= damage. While the target is impaled, the sword stores =h=50%=h= (max. =h=10=h=) of the damage you deal to that target and when you rend it or its duration expires, deals the stored damage, healing you for that same amount.'
    },
    
    [3] = {
        name = "Ascencion Halo",
        cd = 2,
        desc = 'Sends forward a halo that deals =h=3D=h= damage to the targets in an area. Targets hit by this ability deals =h=- D6=h= damage during =h=D4=h= turns.'
    },
    
    [4] = {
        name = "Testament",
        cd = 8,
        desc = 'Explodes in a blast of holy energy that deals =h=4D + 1=h= damage, plus =h=20%=h= of your missing health.'
    }
}

light[5] = {
    name = 'HolyDukemon',
    passive = light.passive,
      [1] = {
        name = "Sacred Rush",
        cd = 2,
        desc = [[Throws his double lance =h=Redemption=h= to a target that impales it, dealing =h=3D + 3=h= damage. You can blink to =h=Redemption=h= to retrieve it, and if you do, the impaled target is snared for =h=1=h= turn.]]
    },
    
    [2] = {
        name = "Purifying Strike",
        cd = 2,
        desc = 'Strikes with his sword =h=Dawnbringer=h= in an arc, generating a slash of divine light that deals =h=4D=h= damage to all targets hit and marks them. If you or your allies hit the marked targets, the mark is consumed to grant a shield that blocks =h=3D=h= damage plus =h=20%=h= of the shielded one’s health and lasts for =h=3=h= turns.'
    },
    
    [3] = {
        name = "Holy Arsenal",
        cd = 3,
        desc = [[Throws one of his weapons to the sky, which remains there charging power for =h=2=h= turns. Every time you hit a target, the weapon fires a holy blast at it dealing =h=3D=h= damage. After charging, the weapon returns to him, granting special effects depending on which weapon is charged:

=h=Redemption:=h= =h=Sacred Rush=h= explodes to deal extra =h=D8 + 2=h= damage and stuns the target for =h=1=h= turn.
=h=Dawnbringer: Purifying Strike=h= causes a rain of light energy swords to fall on the hit targets, dealing =h=10=h= damage and consuming the mark.]]
    },
    
    [4] = {
        name = "Final Judgement",
        cd = 10,
        desc = 'Calls down a divine meteor to slowly fall to a targeted area for =h=3=h= turns. On the first turn, divine chains attach all nearby targets, slowing them and making they deal less =h=D4 x 10%=h= damage. On the second turn, pulls the chained targets to the center and slows them. On the final turn, the meteor falls, dealing =h=6D + 3=h= damage to all targets hit.'
    }
}

light[6] = {
	name = 'Sanzomon',
    [1] = {
        name = "Force Mantra",
        cd = 2,
        desc = [[Switches to =h=Force Mantra=h=, releasing sacred scriptures from her scrolls that deal =h=2D=h= damage and lock to a target. The scriptures can be charged by dealing =h=12=h= damage to that target, making them burst out into a light shockwave that deals =h=2D=h= damage and snares all targets hit.
=h=MANTRA:=h= You can fire holy shots that explode on contact, dealing =h=1D + 2=h= damage.]] 
    },
    
    [2] = {
        name = "Focus Mantra",
        cd = 1,
        desc = [[Switches to =h=Focus Mantra=h=, emanating a holy blast that expels enemies, dealing =h=2D=h= damage and gaining a shield of =h=2D + 2=h= that lasts =h=D4 + 1=h= turns.
=h=MANTRA:=h= You can release up to =h=2=h= floating astral barriers that explode on contact, dealing =h=2D=h= damage and knocking back enemies.]]
    },
    
    [3] = {
        name = "Infinity Mantra",
        cd = '?',
        desc = [[Only available with full =h=Beads=h=, that can be stacked by dealing damage, up to =h=30=h=. Switches to =h=Infinity Mantra=h=, releasing a barrage of her holy beads at the targets, dealing =h=3D=h= damage. The beads keep floating around under your command.
=h=MANTRA:=h= You can use any other of your =h=MANTRAs=h=, allowing you to release them from the beads while dealing D6 bonus damage. This Mantra lasts for =h=D4=h= turns (min. =h=2=h=).]]
    }
}

light[7] = {
	name = 'Shakamon',
    
    [1] = {
        name = "Heaven's Palm",
        cd = 0,
        desc = [[Fires a sphere of light from his palm, dealing =h=1D + 2=h= damage and marking the target. If the target is already marked, =h=Heaven’s Palm=h= refracts to any nearby targets.]]
    },
    
    [2] = {
        name = "Destiny Thread",
        cd = 2,
        desc = [[Uses the sacred spheres around him to tether to an enemy, dealing =h=2D + 3=h= damage. If the target is marked by =h=Heaven’s Palm=h=, the tether seeks any other targets around it. While tethered to an enemy, =h=20%=h= damage it deals to you is reflected back to every tethered enemy. The tether lasts for =h=3=h= turns, then vanishing into a binding force for =h=1=h= turn.]]
    },
    
    [3] = {
        name = "Sky Arc",
        cd = 2,
        desc = [[Emanates absolute light, confusing every enemy around him during =h=1=h= turn and dealing =h=3D + 2=h= damage. Enemies marked by =h=Heaven’s Palm=h= explode into holy flames, taking =h=1D + 1=h= extra damage.]]
  },
  
    [4] = {
        name = "Samsara",
        cd = 4,
        desc = [[Makes the ethereal orb burst out into spiritual waves in a cone, dealing =h=4D=h= damage and temporarily removing the Digicore out of the enemies hit. If they are marked by =h=Heaven’s Palm=h=, their Digicore get completely removed and absorbed by the orb, allowing you to release them during the next turn dealing =h=2D + 2=h= damage and stunning them for =h=1=h= turn.]]
    }
}

return light