--Digispirit of moon
local moon = {} 

moon.color = {238,178,255}
moon.icon = {x = 0, y = 1}

moon.passive = {
    name = 'Moonlight',
    number = true,
    max = 12,
    desc = [[You can gather =h=Moonlight=h= through your skills up to =h=12=h=. Some abilities consume =h=Moonlight=h= and have different effects based on how much =h=Moonlight=h= was consumed.]]
}

moon.human = {
    name = 'Digispirit of Moon',
    passive = moon.passive,
    [1] = {
        name = 'Night Shroud',
        cd = 2,
        desc = 'Calls the power of the moon to become invisible until hit in combat or attack. Also becoming invisible consumes all the stored =h=Moonlight=h= (if any).'
    }
}

moon[1] = {
	name = 'Lunamon',
    passive = moon.passive,
      [1] = {
        name = 'Moon Blast',
        cd = 0,
        desc = [[Shoots a blast of lunar energy, dealing =h=1D - 1=h= damage. This ability generates =h=4=h= Moonlight.]]
    },
    
    [2] = {
        name = 'Lunar Dive',
        cd = 2,
        desc = [[Uses lunar power to dash to a direction, stopping and dealing =h=1D=h= damage to the first target hit. Costs =h=4=h= Moonlight.

=h=MOONLIGHT: 6 –=h= Slows the target. =h=12 –=h= You can quickly dash back to your previous position.]]
    }
}
moon[2] = {
	name = 'Lekismon',
    passive = moon.passive,
    [1] = {
        name = 'Tear Arrow',
        cd = 0,
        desc = [[Shoots crystals charged with moon power that deals =h=1D + 1=h= damage. This ability generates =h=3 Moonlight=h=. Also, the targets hit are charged with the power of the crystals for =h=D4=h= turns and hitting them while charged generates =h=2=h= Moonlight.]]
    },
    
    [2] = {
        name = 'Moon Kick',
        cd = 1,
        desc = [[Jumps to a target with a kick, dealing =h=1D + 1=h= damage and slowing it. This ability generates =h=D4 Moonligh=h=t and if it generates more than =h=4 Moonlight=h=, you get a shield that blocks damage equal to the amount of generated Moonlight and lasts =h=1=h= turn.]]
    },
    
    [3] = {
        name = 'Lunar Bomb',
        cd = 3,
        desc = [[Focuses the power of the moon into a moonlight sphere that expands when it hits a target, dealing =h=2D=h= damage to the targets hit. Costs =h=6 Moonlight=h=.

=h=MOONLIGHT:=h= =h=8 –=h= Deals =h=1=h= bonus damage for each =h=4 Moonlight=h= consumed. =h=12 –=h= Snares all targets hit for =h=1=h= turn.]]
    }
}

moon[3] = {
	name = 'Crescemon',
    passive = moon.passive,
    [1] = {
        name = 'Crescent Strike',
        cd = 0,
        desc = [[Imbues its =h=Nova Luna=h= staff in lunar energy and strikes in an arc, dealing =h=1D + 2=h= damage to all targets hit. This ability generates =h=2 Moonlight=h= for each target hit.]]
    },
    
    [2] = {
        name = 'Waxing Territory',
        cd = 2,
        desc = [[Throws her Nova Luna shield on her left hand to a chosen location, generates a large area of moonlight that lasts for =h=D4=h= turns and deals =h=2D=h= damage to all targets hit. This ability generates =h=3=h= Moonlight and hitting targets on that area generates bonus =h=2 Moonlight=h= for each target and slows them. Also, picking up the weapon early generates a shield that blocks =h=4=h= damage for each remaining turn of the area and lasts =h=2=h= turns.]]
    },
    
    [3] = {
        name = 'Silver Blessing',
        cd = 3,
        desc = [[Calls the power of the moon to empower her other abilities for =h=2=h= turns. During the blessing, =h=Crescent Strike=h= generates a long-range arc of moonlight that deals bonus =h=1D=h= damage and heals you for =h=1D=h= health. Once while inside your =h=Waxing Territory=h=, you can quickly blink to anywhere inside the area. Costs =h=6 Moonlight=h=. During the blessing, you cannot generate =h=Moonlight=h=.

=h=MOONLIGHT: 8 –=h= You can blink =h=2=h= times instead. =h=10 –=h= Extends the duration of this skill and =h=Waxing Territory=h= for =h=1=h= turn. =h=12 –=h= =h=Crescent Strike=h= deals bonus =h=3=h= damage.]]
    }
}
moon[4] = {
	name = 'Dianamon',
    passive = moon.passive,
  [1] = {
        name = 'Full Moon Slash',
        cd = 0,
        desc = [[Spins with her weapon, striking in a circle and dealing =h=2D + 3=h= damage to all enemies hit and marking them. This ability generates =h=2 Moonlight=h= for each targets hit.]]
    },
    
    [2] = {
        name = 'Silver Cascade',
        cd = 2,
        desc = [[Leaps backwards and calls a rain of moonlight arrows to fall in her previous location, dealing =h=2D + 3=h= damage to all targets hit and slowing them. This ability generates =h=3 Moonlight=h= and if it hits targets marked by =h=Full Moon Slash=h=, they are snared and generates =h=2=h= extra =h=Moonlight=h=.]]
    },
    
    [3] = {
        name = 'Lunar Rush',
        cd = 3,
        desc = [[Dashes to a chosen location, charged with moonlight, stopping at the first target hit, knocking it back and dealing =h=3D + 2=h= damage. Generates =h=3 Moonlight=h=. If the target is marked by =h=Full Moon Slash=h=, you gain a shield that blocks half the damage of this skill and lasts =h=D4=h= turns, generating extra =h=2 Moonlight=h=.]]
    },
    
    [4] = {
        name = 'Final Eclipse',
        cd = 4,
        desc = [[Marks an area with the image of the eclipse for =h=2=h= turns, locking enemies inside, rendering them unable to leave the area. While inside the area, your movement cannot be stopped or halted. Along those =h=2=h= turns, the eclipse slowly fades, until the moon fully appears, flooding the whole area with a blast of moonlight that deals =h=4D + 1=h= damage. Costs =h=8 Moonlight=h=.

=h=MOONLIGHT: 10 -=h= Heals you for the amount of =h=Moonlight=h= consumed. =h=12 -=h= Deals =h=15%=h= of the target's missing health as bonus damage.]]
    }
}

moon[5] = {
	name = 'Mastemon',
    passive = moon.passive,
[1] = {
        name = 'Moonlight Cannon',
        cd = 2,
        desc = [[Shoots a powerful moonlight blast from her right hand, dealing =h=4D + 3=h= damage and generates =h=3 Moonlight=h=. Also they are charged with moonlight and if you hit them with =h=Twilight Shower=h=, it generates =h=2=h= extra Moonlight.]]
    },
    
    [2] = {
        name = 'Nightfall',
        cd = 2,
        desc = [[Briefly encases a targeted area in complete darkness with a blast from her left hand, dealing =h=4D=h= damage and slowing all targets. Also, they have a =h=D100%=h= chance of being blinded for the next turn. Generates =h=1 Moonlight=h= for each target hit and if you hit any of them with =h=Twilight Shower=h=, it generates =h=2 extra Moonlight=h=.]]
    },
    
    [3] = {
        name = 'Twilight Shower',
        cd = 3,
        desc = [[Shoots a barrage of dark and light shots from her wings, dealing =h=5D + 3=h= damage and slowing the targets hit. Generates =h=4=h= =h=Moonlight=h=. If this skill generates more than =h=4 Moonlight=h=, the targets hit have =h=10% x Moonlight generated=h= chance of being stunned for =h=1=h= turn.]]
    },
    
    [4] = {
        name = 'Luna Diem',
        cd = 4,
        desc = [[Summons a holy seal on the sky and a demonic seal on the ground in a targeted area, then, both seals bursts with dark and light energies empowered by moonlight, dealing =h=7D=h= damage. Costs =h=5 Moonlight=h=.

=h=MOONLIGHT: 9 –=h= Deals bonus damage equal to the amount of =h=Moonlight=h= consumed. =h=12 –=h= Silences targets for =h=1=h= turn.]]
    }
}
moon[6] = {
	name = 'Löwemon',
    passive = moon.passive,
[1] = {
        name = 'Blitzen Speer',
        cd = 1,
        desc = [[Throws his spear clad in dark energy to a target, dealing =h=2D=h= damage and slows them for =h=2=h= turns.]]
    },
    
    [2] = {
        name = 'Dunkel Sarg',
        cd = 2,
        desc = [[Channels a blast of ancient power from his sphinx head for 1 turn, that deals =h=2D + 2=h= initially and then, if the targets stay on the blast for its whole duration they are stunned for =h=1=h= turn.]]
    },
    
    [3] = {
        name = 'Ewig Schlaf',
        cd = 3,
        desc = [[Summons a circle of twilight energy that charges for =h=3=h= turns and every turn, pulls targets slightly to the middle. When it is fully charged, the area bursts with the charged energy, dealing =h=2D + 3=h= damage plus =h=30%=h= (max. =h=10=h=) of all damage done by those inside it.]]
    }
}

moon[7] = {
	name = 'AncientSphinxmon',
    passive = moon.passive,
[1] = {
        name = 'Sphinx Curse',
        cd = 0,
        desc = [[Fires an energy blast from the gem on its forehead that deals =h=2D + 2=h= damage and =h=Curses=h= the target for =h=2=h= turns.]]
    },
    
    [2] = {
        name = 'Funeral Rites',
        cd = 2,
        desc = [[Emanates a pulse of ancient power that slows enemies and deals =h=2D + 2=h= damage. If the target is =h=cursed=h=, it takes extra =h=3=h= damage and is has a =h=50%=h= chance of standing still on the next turn.]]
    },
    
    [3] = {
        name = 'Ancient Obelisk',
        cd = 3,
        desc = [[Summons a dark obelisk in an area that initially deals =h=3D=h= damage and stays for =h=2=h= turns emanating waves of dark energy that deals =h=D4=h= damage and slows all targets hit. =h=Cursed=h= targets cannot leave the obelisk area.]]
    },
    
    [4] = {
        name = 'Necro Eclipse',
        cd = 4,
        desc = [[Summons a orb of dark power from that appears in the middle of its wings that strikes an area, dealing =h=4D + 2=h= damage. =h=Cursed=h= targets take extra =h=25%=h= damage and are instantly killed if below =h=10=h= health.]]
    }
}
return moon