--Digispirit of wind
local wind = {} 

wind.color = {155,213,194}
wind.icon = {x = 2, y = 2}

wind.passive = {
    name = 'Galeforce',
    number = true,
    max = 6,
    desc = [[Every movement generates a stack of =h=GALEFORCE=h=, up to =h=6=h= stacks. The faster it moves, more stacks are gathered. When all =h=6=h= stacks are available, it gains =h=evasiveness=h=, allowing it to dodge attacks more easily. Stopping will make the stacks decay over time.]]
}

wind.human = {
    name = 'Digispirit of Wind',
    passive = wind.passive,
    [1] = {
        name = 'Razor Wind',
        cd = 0,
        desc = 'Shoots a swift blade of wind that deals =h=1D – 1=h= damage.'
    },
    [2] = {
        name = 'Gale Barricade',
        cd = 2,
        desc = 'Blows a heavy wind that confuses and pushes back the enemies.'
    }
}

wind[1] = {
	name = 'Hawkmon',
    passive = wind.passive,
    [1] = {
        name = 'Gale Claw',
        cd = 1,
        desc = [[Hawkmon’s claws glow bright and it gains speed, slashing the opponent for =h=1D=h= damage. Generates =h=1 Galeforce=h=. ]]
    },
    
    [2] = {
        name = 'Feather Slash',
        cd = 1,
        desc = [[Throws the feather on his head with a windblast, acting like a boomerang, dealing =h=D4=h= damage each time it strikes. The feather moves faster the more =h=Galeforce=h= Hawkmon possesses.]]
    }
}

wind[2] = {
	name = 'Aquilamon',
    passive = wind.passive,
    [1] = {
        name = "Glide Horn",
        cd = 1,
        desc = [[Aquilamon dashes through the wind, generating =h=1 Galeforce=h=, passing through the enemies dealing =h=1D + 2=h= damage. If Aquilamon would be hit during flight, it can consume all stacks of =h=Galeforce=h= to activate a wind shield =h=(3 + spent Galeforce)=h= around itself.]]
    },
    
    [2] = {
        name = 'Storm Feather',
        cd = 2,
        desc = [[Aquilamon shoots a storm of feathers in a cone in front of him, cutting enemies by =h=1D + 2=h= damage. The more stacks of =h=Galeforce=h=, the faster the feathers move, and deal a bonus damage half the current number of =h=Galeforce=h=.]]
    },
    
    [3] = {
        name = "Tempest Wing",
        cd = 3,
        desc = [[Aquilamon, by flapping its wings, summons a hurricane that knocks up enemies and deals =h=2D=h= damage.]]
    }
}

wind[3] = {
	name = 'Silphymon',
    passive = wind.passive,
    [1] = {
        name = "Wind Guardian",
        cd = 2,
        desc = [[Gathers wind forces in his hands and fires them as a powerful gale bomb, dealing =h=2D=h= damage, and pushing back enemies hit. The number of shots is equal to the number of =h=Galeforce=h= stacks, but additional shots on a same target only add =h=1=h= point of extra damage each.]]
    },
    
    [2] = {
        name = "Dual Sonic",
        cd = 2,
        desc = [[Silphymon creates an unstable sonic clone of his image, while propelling both himself and the clone with a gust of wind. Each of them can strike an opponent to deal =h=1D + 2=h= damage. The more Silphymon flies until he hits a target, the more =h=Galeforce=h= stacks he generates (max =h=3=h=). If Silphymon has =h=6 Galeforce=h=stacks, this ability cannot miss.]]
    },
    
    [3] = {
        name = "Airfield",
        cd = 3,
        desc = [[Silphymon creates a typhoon around himself that greatly expands its area, dealing =h=2D=h= damage and lasts for =h=D4 + 1=h= turns. While inside the typhoon, Silphymon and his allies are speeded up, also, by losing =h=2 Galeforce=h=, he can instantly dash to another location inside the typhoon area.]]
    }
}

wind[4] = {
	name = 'Valkyrimon',
    passive = wind.passive,
        [1] = {
        name = "Shifting Winds",
        cd = 1,
        desc = [[Valkyrimon dashes towards an enemy, slashing with its sword in an air shockwave and damaging enemies by =h=2D + 2=h=, while leaving behind on his trail a whirlwind that knocks up all enemies hit. Generates =h=1 Galeforce=h=.]]
    },
    
    [2] = {
        name = "Tempest Arrow",
        cd = 2,
        desc = [[Valkyrimon fires an arrow from his bow that deals =h=3D + 2=h= damage to an enemy struck by the shot. As the arrow travels, it opens a directional draft that lasts =h=D4=h= turns and grants enhanced speed both to Valkyrimon and to his allies. Generates =h=1 Galeforce=h= each turn while moving in the draft.]]
    },
    
    [3] = {
        name = "Storm Impact",
        cd = 3,
        desc = [[Valkyrimon sends out his bird Freyr to attack an enemy, dealing =h=3D=h= damage and making them take additional damage from Valkyrimon for the next =h=1D=h= turns, equal to the amount of =h=Galeforce=h= he had when Freyr reached its target. Freyr stays around that enemy so that when Valkyrimon catches it again, it bursts out in a windblast, knocking up enemies around.]]
      },
    [4] = {
        name = "Sky Diver Finish",
        cd = 4,
        desc = [[Valkyrimon conjures wild winds around him to catch his enemies, then dives downward carrying them along. When they hit the ground, all enemies caught by the gale tempest take =h=3D + 3 + Galeforce + fall damage=h=.]]
    }
  }
  
wind[5] = {
    name = 'Valdurmon',
    passive = wind.passive,
      [1] = {
        name = "Purge Gale",
        cd = 1,
        desc = [[Closes its wings around itself and dashes to a chosen location, spinning in a whirlwind. Valdurmon then opens its wings when it reaches its target, bursting into a violent gale. Deals =h=3D + 3=h= damage, knocks enemies away and generates =h=1 Galeforce=h=. Dashing into =h=Storm Heart=h= typhoon makes it expand then disappear, dealing =h=D4 + 1=h= bonus damage.]]
    },
    
    [2] = {
        name = "Storm Heart",
        cd = 2,
        desc = [[Releases a massive typhoon for D4 turns that deals =h=4D=h= damage and throws away enemies every time they are hit. Valdurmon can fly inside the typhoon, gaining =h=1 Galeforce=h= when it hits an enemy, greatly enhancing its speed, and making enemies get trapped inside the typhoon instead, but damage is halved.]]
    },
    
    [3] = {
        name = "Sky Ruler",
        cd = 3,
        desc = [[By consuming =h=2 Galeforce=h=, Valdurmon commands whirlwinds to slash enemies around Valdurmon, dealing =h=5D=h= damage and lifting them to the sky, leaving them airborne for =h=2=h= turns. If Valdurmon attacks airborne enemies, D8 bonus damage is dealt and it gains =h=1 Galeforce=h=.]]
      },
    [4] = {
        name = "Tempest Sanctions",
        cd = 5,
        desc = [[=h=Passive:=h= Protective winds revolve around Valdurmon, blocking enemy attacks and projectiles if their damage is less than =h=D12 x Galeforce=h=.

=h=Active:=h= Opens its wings, releasing a barrage of giant wind blades all around itself, dealing =h=1D + Galeforce²=h= damage and blowing enemies away.]]
    }
}
  
wind[6] = {
	name = 'Hippogriffomon',
    passive = wind.passive,
      [1] = {
        name = "Gust Blade",
        cd = 0,
        desc = [[Darts through the air and creates a giant wind blade across its wings, dealing =h=1D + 2=h= damage. Generates =h=1=h= =h=Galeforce=h=.]]
    },
    
    [2] = {
        name = "Soar Uprise",
        cd = 2,
        desc = [[Flaps its wings to create a whirlwind then flies up high, dealing =h=2D + 2=h= and lifting enemies into the sky. Generates =h=Galeforce=h= equal to the number of enemies Hippogriffomon could lift (max. =h=4=h=).]]
    },
    
    [3] = {
        name = "Zephyr's Eye",
        cd = 4,
        desc = [[Summons a roaring gale storm in the shape of its own face that transforms into a drill-like tornado, then rushes into its enemies, dealing =h=2D + 3 + Galeforce=h= damage and scattering them away. If Hippogriffomon has =h=6 Galeforce=h=, it cannot be stopped and damage it receives is halved.]]
      }
  }
wind[7] = {
	name = 'Griffomon',
    passive = wind.passive,
      [1] = {
        name = "Sonic Voice",
        cd = 1,
        desc = [[Shoots an extremely high-frequency sound wave, dealing =h=2D + 2=h= damage and confusing enemies hit for =h=1=h= turn. Also, during the next =h=D4=h= turns, if Griffomon attacks an enemy that was hit by Sonic Voice, it can instead dash towards that enemy, generating =h=1 Galeforce=h= and dealing =h=D4=h= bonus damage.]]
    },
    
    [2] = {
        name = "Sky Vanish",
        cd = 3,
        desc = [[While flying, Griffomon dives to the ground in a whirlwind, dealing =h=3D=h= damage as it goes and generating =h=Galeforce=h= according to the distance he flies. When Griffomon reaches the ground, it scatters enemies with the wind and if it has =h=4=h= or more =h=Galeforce=h=, it becomes invisible for =h=2=h= turns or until it attacks.]]
    },
    
    [3] = {
        name = "Sirocco Burst",
        cd = 3,
        desc = [[The snake head on its tail shoots a compressed gale bomb that disappears from sight on the way, and when it hits its target, it explodes in a strong windblast, dealing =h=3D + 2=h= damage and knocking enemies away. The explosion radius scales with the amount of =h=Galeforce=h=.]]
      },
    [4] = {
        name = "Anemoi",
        cd = 4,
        desc = [[Summons the seal of the Four Winds around an enemy during =h=4=h= turns, showing the marks of the cardinal directions around that enemy. Those marks are triggered by Griffomon's attacks, dealing =h=D4 + 2=h= bonus damage. If Griffomon triggers at least one mark before its target dies, or triggers all four, a strong gust blows form within the target, dealing =h=4D=h= damage and knocking away enemies. While =h=Anemoi=h= is active, the evasiveness from =h=Galeforce=h= applies to any number of stacks, and reaches =h=100%=h= effectiveness at =h=6=h= stacks.]]
    }
  }
return wind